=== debian/control ===
Source: libident
Maintainer: Boyuan Yang <byang@debian.org>
Section: libs
Priority: optional
Standards-Version: 4.6.0
Build-Depends:
 debhelper-compat (= 13),
Rules-Requires-Root: no
Homepage: https://www.remlab.net/files/libident/
Vcs-Git: https://salsa.debian.org/debian/libident.git
Vcs-Browser: https://salsa.debian.org/debian/libident

Package: libident
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 libident-dev,
Description: simple RFC1413 client library - runtime
 This is a small library to interface to the Ident protocol server;
 "ident" enables a remote host to find out who's the owner of a
 network connection.
 .
 /usr/sbin/in.identtestd is a small daemon (to be started from inetd)
 that does an ident lookup on you if you telnet into it. Can be used
 to verify that your Ident server is working correctly.

Package: libident-dev
Architecture: any
Section: libdevel
Priority: optional
Depends:
 libident (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: simple RFC1413 client library - development
 This is a small library to interface to the Ident protocol server;
 "ident" enables a remote host to find out who's the owner of a
 network connection.
 .
 This package provides the development header files for the library.
